Badger::Codec::URI(3pm)

NAME
Badger::Codec::URI - URI encode/decode

SYNOPSIS
    use Badger::Codec::URI;
    my $codec   = Badger::Codec::URI->new();
    my $encoded = $codec->encode("Hello World!");
    my $decoded = $codec->decode($encoded);

DESCRIPTION
This module implements a subclass of Badger::Codec for URI encoding and decoding.

FUNCTIONS

  encode_uri($data)
This function URI-encodes the $data passed as an argument.

  decode_uri($data)
This function URI-decodes the $data passed as an argument.

METHODS

  encode($data)
This method URI-encodes the data referenced by the first argument. It delegates to the encode_uri() function.

    $encoded = Badger::Codec::URI->encode($data);

  decode($data)
This method decodes the encoded data passed as the first argument. It delegates to the decode_uri() function.

    $decoded = Badger::Codec::URI->decode($encoded);

  encoder()
This method returns a reference to the encode_uri() function.

  decoder()
This method returns a reference to the decode_uri() function.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2009 Andy Wardley. All rights reserved.

SEE ALSO
Badger::Codecs, Badger::Codec